<?php
/*
 * This file is part of SELENE.GA4K.
 * (c) 2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * GA4K Config File
 *
 * @copyright   2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link        http://exbridge.jp/
 * @package     SELENE
 * @version     svn:$Id: analytics_config.php 15028 2009-05-07 08:22:31Z suzuki $
 */
//=================================================================================
//Google Analyticsの設定
//=================================================================================
define('ANALYTICS_ID',      'UA-*******');
define('WEBSITE_DOMAIN',    'http://www.example.com');


//=================================================================================
//User Agent判定用正規表現の設定
//=================================================================================
//モバイル判定
define('USER_AGENT_PATTERN_DOCOMO',     '^DoCoMo');
define('USER_AGENT_PATTERN_SOFTBANK',   '^SoftBank|^J-PHONE|^Vodafone|^MOT-');
define('USER_AGENT_PATTERN_AU',         '^KDDI-|^UP.Browser');
define('USER_AGENT_PATTERN_WILLCOM',    'DDIPOCKET|WILLCOM');

define('USER_AGENT_PATTERN_MOBILE',     USER_AGENT_PATTERN_DOCOMO . '|' .
                                        USER_AGENT_PATTERN_SOFTBANK . '|' .
                                        USER_AGENT_PATTERN_AU . '|' .
                                        USER_AGENT_PATTERN_WILLCOM);

//クローラ判定
define('USER_AGENT_PATTERN_GOOGLE',     'Googlebot-Mobile|Mediapartners-Google');
define('USER_AGENT_PATTERN_YAHOO',      'Y!J-SRD|Y!J-MBS');
define('USER_AGENT_PATTERN_GOO',        'mobile goo');
define('USER_AGENT_PATTERN_LIVEDOOR',   'livedoor-Yill|LD_mobile_bot');
define('USER_AGENT_PATTERN_HATENA',     'Hatena-Mobile-Gateway');
define('USER_AGENT_PATTERN_DENA',       'moba-crawler');
define('USER_AGENT_PATTERN_FROUTE',     'froute.jp');

define('USER_AGENT_PATTERN_CRAWLER',    USER_AGENT_PATTERN_GOOGLE . '|' .
                                        USER_AGENT_PATTERN_YAHOO . '|' .
                                        USER_AGENT_PATTERN_GOO . '|' .
                                        USER_AGENT_PATTERN_LIVEDOOR . '|' .
                                        USER_AGENT_PATTERN_HATENA . '|' .
                                        USER_AGENT_PATTERN_DENA . '|' .
                                        USER_AGENT_PATTERN_FROUTE);

//=================================================================================
//各種設定
//=================================================================================
define('MOBILE_ONLY_FLG',           true);  //モバイルのみのアクセスを解析する場合true、全てのアクセスを解析する場合はfalseを設定
